rem =================================
rem These values are appropriate for Visual C++ 5.0
rem You need to change the paths of things here, to suite
rem your local environment.
rem =================================
set NOSUCH=c:\nosuch
set JAVADIR=d:\jdk114
set MSDevDir=d:\DevStudio\vc
set MSVC=d:\DevStudio\vc
set MSIDE=d:\DevStudio\SharedIDE
set VcOsDir=WIN95

rem =================================
rem Other things for C compilation
rem =================================
set PATH="%PATH%;%MSVC%\BIN";"%MSVC%\BIN\%VcOsDir%";"%MSIDE%\bin"
set INCLUDE=%MSVC%\INCLUDE;%MSVC%\MFC\INCLUDE;%INCLUDE%
set LIB=%MSVC%\LIB;%MSVC%\MFC\LIB;%LIB%

rem =================================
rem The rest of the variables are derived from the ones above
rem =================================
set NOSUCH_BIN=%NOSUCH%\bin
set NOSUCH_DOC=%NOSUCH%\doc
set JAVA_CPATH=%JAVADIR%\lib\classes.zip;%NOSUCH%
set JAVA_INCLUDE=%JAVADIR%\include
set JAVAH=%JAVADIR%\bin\javah -jni -classpath %JAVA_CPATH%
set JAVAC=%JAVADIR%\bin\javac -classpath %JAVA_CPATH%
set JAVAD=%JAVADIR%\bin\javadoc -classpath %JAVA_CPATH% -public -d %NOSUCH_DOC%
set CPP=cl.exe

cd %NOSUCH%\com\nosuch\midi
%JAVAC% *.java

rem cd %NOSUCH%\com\nosuch\util
rem %JAVAC% *.java
rem cd %NOSUCH%\com\nosuch\jam
rem %JAVAC% *.java
rem cd %NOSUCH%\com\nosuch\stove
rem %JAVAC% *.java
rem cd %NOSUCH%\com\nosuch\kitchen
rem %JAVAC% *.java

cd %NOSUCH%\com\nosuch\cooking
%JAVAC% *.java

rem =================================
rem Now go back and compile native methods and things
rem =================================
cd %NOSUCH%\com\nosuch\midi
%CPP% nsdde.c user32.lib comdlg32.lib

deltree /y com_nosuch_midi_Win32MidiOutput.h
%JAVAH% com.nosuch.midi.Win32MidiOutput

deltree /y com_nosuch_midi_Win32MidiInput.h
%JAVAH% com.nosuch.midi.Win32MidiInput

deltree /y com_nosuch_midi_MidiSystem.h
%JAVAH% com.nosuch.midi.MidiSystem

%CPP% -I%JAVA_INCLUDE% -I%JAVA_INCLUDE%\win32 -LD nosuchmidi.cpp winmm.lib user32.lib -Fenosuchmidi.dll

copy nosuchmidi.dll %NOSUCH_BIN%

cd %NOSUCH%
