/* NoSuch MIDI - Copyright 1997-1998 by Tim Thompson */

package com.nosuch.cooking;

import java.awt.*;
import java.io.*;
import java.applet.*;
import com.nosuch.midi.*;

public class MaticPlayer extends Cooklet {

	MaticPlayerPanel panel;

	public void init() {
		// resize(500, 200);
		setLayout(new BorderLayout(5,5));
		panel = new MaticPlayerPanel();
		add("Center",panel);

	}
/*
    public void start() {
		panel.enable();
    }
    public void stop() {
		panel.disable();
    }
	public Frame makeFrame() {
		Frame f = new MaticPlayerFrame("MouseMatrix");

		init();
		start();

		f.add("Center", this);
		f.resize(300, 200);
		f.show();
		return f;
	}
*/
}

class MaticPlayerPanel extends Panel implements Runnable {

	TextField tf;
	Button gbutt;
	Button pbutt;
	MidiPhrase phrase;

	public MaticPlayerPanel() {
		setLayout(new GridLayout(0,2));

		add(gbutt = new Button("Generate"));
		add(pbutt = new Button("Play"));

		add (tf = new TextField("a"));

		setEnabled(true);

	}
	public void run() {
		System.out.println("Running matic...");
		phrase = Matic.algorithmB(tf.getText(),256);
		System.out.println("Done with matic...");
	}
	public synchronized boolean action(Event ev, Object obj) {
		if ( ev.target == gbutt ) {
			Thread t = new Thread(this);
			t.start();
			return true;
		}
		if ( ev.target == pbutt ) {
			playmatic();
			return true;
		}
		return false;
	}

	public void playmatic() {

		System.out.println("Playing matic...");

		try {
			MidiSystem.schedule(phrase);
		} catch (MidiException e) {
			System.err.println("Midi Exception caught - "+e.getMessage());
		}
		System.out.println("Done playing matic...");
	}
}

/*
class MaticPlayerFrame extends Frame {
	public MaticPlayerFrame(String name) {
		super(name);
	}
	public synchronized boolean handleEvent(Event e) {
// System.out.println("MaticPlayer handleEvent="+e.toString());
		if (e.id == Event.WINDOW_DESTROY)
			System.exit(0);
		return false;
	}
}
*/
